Skip to main content
GET
/
api
/
analytics
/
recall-stats
Recall analytics and dead memory detection
curl --request GET \
  --url https://api.example.com/api/analytics/recall-stats \
  --header 'Authorization: Bearer <token>'
{
  "top_recalled": [
    {
      "id": 123,
      "topic": "<string>",
      "memory_type": "<string>",
      "recall_count": 123,
      "last_recalled_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "never_recalled": [
    {
      "id": 123,
      "topic": "<string>",
      "memory_type": "<string>",
      "recall_count": 123,
      "last_recalled_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "dead_memories": [
    {
      "id": 123,
      "topic": "<string>",
      "memory_type": "<string>",
      "recall_count": 123,
      "last_recalled_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "distribution_by_type": [
    {
      "memory_type": "<string>",
      "total_recalls": 123,
      "memory_count": 123
    }
  ],
  "total_recalls_7d": 123,
  "total_recalls_30d": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response for GET /api/analytics/recall-stats.

top_recalled
RecalledMemory · object[]
required
never_recalled
RecalledMemory · object[]
required
dead_memories
RecalledMemory · object[]
required
distribution_by_type
RecallDistribution · object[]
required
total_recalls_7d
integer
required
total_recalls_30d
integer
required